package com.heyu.api.data.service.impl.system;
/**
* <p>
* 自定义命令和设备动作绑定表 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.heyu.api.data.dao.system.SystemTalkBindDeviceDao;
import com.heyu.api.data.entity.system.SystemTalkBindDeviceEntity;
import com.heyu.api.data.service.system.SystemTalkBindDeviceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
@Service
public class SystemTalkBindDeviceServiceImpl extends ServiceImpl<SystemTalkBindDeviceDao, SystemTalkBindDeviceEntity> implements SystemTalkBindDeviceService {


    @Autowired
	private SystemTalkBindDeviceDao systemTalkBindDeviceDao;



	@Override
	public SystemTalkBindDeviceEntity selectSystemTalkBindDeviceById(Long id){
		return systemTalkBindDeviceDao.selectSystemTalkBindDeviceById(id);
	}



	@Override
	public Long insertSystemTalkBindDevice(SystemTalkBindDeviceEntity systemTalkBindDevice){
		return systemTalkBindDeviceDao.insertSystemTalkBindDevice(systemTalkBindDevice);
	}



	@Override
	public Long insertOrUpdateSystemTalkBindDevice(SystemTalkBindDeviceEntity systemTalkBindDevice){
		return systemTalkBindDeviceDao.insertOrUpdateSystemTalkBindDevice(systemTalkBindDevice);
	}



	@Override
	public int updateSystemTalkBindDeviceById(SystemTalkBindDeviceEntity systemTalkBindDevice){
		return systemTalkBindDeviceDao.updateSystemTalkBindDeviceById(systemTalkBindDevice);
	}



	@Override
	public int updateCoverSystemTalkBindDeviceById(SystemTalkBindDeviceEntity systemTalkBindDevice){
		return systemTalkBindDeviceDao.updateCoverSystemTalkBindDeviceById(systemTalkBindDevice);
	}



	@Override
	public int deleteSystemTalkBindDeviceById(Long id){
		return systemTalkBindDeviceDao.deleteSystemTalkBindDeviceById(id);
	}



}
